Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class LocalVariableTypeTable

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.LocalVariableTypeTable

All Implemented Interfaces:
  Serializable, Cloneable

    public class LocalVariableTypeTable

extends Attribute

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`LocalVariableTypeTable(int name_index, int length, LocalVariable[] local_variable_table, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool constant_pool)`
`void` `setLocalVariableTable(LocalVariable[] local_variable_table)`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariableTypeTable

    public LocalVariableTypeTable(int name_index,
                                  int length,
                                  LocalVariable[] local_variable_table,
                                  ConstantPool constant_pool)

Method Detail

### setLocalVariableTable

    public final void setLocalVariableTable(LocalVariable[] local_variable_table)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.